Ruby: RVALUE Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Data Fields
RVALUE Struct Reference

## Data Fields
union { |
struct { |
VALUE flags |
struct RVALUE * next |
} free |
struct RMoved moved |
struct RBasic basic |
struct RObject object |
struct RClass klass |
struct RFloat flonum |
struct RString string |
struct RArray array |
struct RRegexp regexp |
struct RHash hash |
struct RData data |
struct RTypedData typeddata |
struct RStruct rstruct |
struct RBignum bignum |
struct RFile file |
struct RMatch match |
struct RRational rational |
struct RComplex complex |
struct RSymbol symbol |
union { |
rb_cref_t cref |
struct vm_svar svar |
struct vm_throw_data throw_data |
struct vm_ifunc ifunc |
struct MEMO memo |
struct rb_method_entry_struct ment |
const rb_iseq_t iseq |
rb_env_t env |
struct rb_imemo_tmpbuf_struct alloc |
rb_ast_t ast |
} imemo |
struct { |
struct RBasic basic |
VALUE v1 |
VALUE v2 |
VALUE v3 |
} values |
} | as |
VALUE | klass

## Detailed Description

Definition at line 582 of file gc.c.

## Field Documentation

## ◆ alloc

struct rb_imemo_tmpbuf_struct RVALUE::alloc

Definition at line 615 of file gc.c.

## ◆ array

struct RArray RVALUE::array

Definition at line 594 of file gc.c.

## ◆ ast

rb_ast_t RVALUE::ast

Definition at line 616 of file gc.c.

## ◆ basic

struct RBasic RVALUE::basic

Definition at line 589 of file gc.c.

## ◆ bignum

struct RBignum RVALUE::bignum

Definition at line 600 of file gc.c.

## ◆ complex

struct RComplex RVALUE::complex

Definition at line 604 of file gc.c.

## ◆ cref

rb_cref_t RVALUE::cref

Definition at line 607 of file gc.c.

## ◆ data

struct RData RVALUE::data

Definition at line 597 of file gc.c.

## ◆ env

rb_env_t RVALUE::env

Definition at line 614 of file gc.c.

## ◆ file

struct RFile RVALUE::file

Definition at line 601 of file gc.c.

## ◆ flags

VALUE RVALUE::flags

Definition at line 585 of file gc.c.

## ◆ flonum

struct RFloat RVALUE::flonum

Definition at line 592 of file gc.c.

## ◆ hash

struct RHash RVALUE::hash

Definition at line 596 of file gc.c.

## ◆ ifunc

struct vm_ifunc RVALUE::ifunc

Definition at line 610 of file gc.c.

## ◆ iseq

const rb_iseq_t RVALUE::iseq

Definition at line 613 of file gc.c.

## ◆ klass [1/2]

struct RClass RVALUE::klass

Definition at line 591 of file gc.c.

## ◆ klass [2/2]

VALUE RVALUE::klass

Definition at line 2967 of file ractor.c.

## ◆ match

struct RMatch RVALUE::match

Definition at line 602 of file gc.c.

## ◆ memo

struct MEMO RVALUE::memo

Definition at line 611 of file gc.c.

## ◆ ment

struct rb_method_entry_struct RVALUE::ment

Definition at line 612 of file gc.c.

## ◆ moved

struct RMoved RVALUE::moved

Definition at line 588 of file gc.c.

## ◆ next

struct RVALUE* RVALUE::next

Definition at line 586 of file gc.c.

## ◆ object

struct RObject RVALUE::object

Definition at line 590 of file gc.c.

## ◆ rational

struct RRational RVALUE::rational

Definition at line 603 of file gc.c.

## ◆ regexp

struct RRegexp RVALUE::regexp

Definition at line 595 of file gc.c.

## ◆ rstruct

struct RStruct RVALUE::rstruct

Definition at line 599 of file gc.c.

## ◆ string

struct RString RVALUE::string

Definition at line 593 of file gc.c.

## ◆ svar

struct vm_svar RVALUE::svar

Definition at line 608 of file gc.c.

## ◆ symbol

struct RSymbol RVALUE::symbol

Definition at line 605 of file gc.c.

## ◆ throw_data

struct vm_throw_data RVALUE::throw_data

Definition at line 609 of file gc.c.

## ◆ typeddata

struct RTypedData RVALUE::typeddata

Definition at line 598 of file gc.c.

## ◆ v1

VALUE RVALUE::v1

Definition at line 620 of file gc.c.

## ◆ v2

VALUE RVALUE::v2

Definition at line 621 of file gc.c.

## ◆ v3

VALUE RVALUE::v3

Definition at line 622 of file gc.c.

The documentation for this struct was generated from the following files:

- gc.c
- ractor.c